<?php

declare(strict_types=1);

namespace App\Filament\Components\Form;

use Filament\Forms\Components\FileUpload;

class FilesFileUploade extends FileUpload
{
    public static function create(): static
    {
        return parent::make('files')
            ->label('فایل‌ها')
            ->multiple()
            ->required()
            ->directory('files')
            ->maxFiles(10)
            ->maxSize(10240)
            ->columnSpan(12);
    }
}
